﻿using System;
using System.Linq;
using DataLayer;

namespace LogicLayer
{
    public class DataOperations
    {
        public static string CreatePerson(string name, string agestr, string id)
        {
            int age = int.Parse(agestr);

            bool nameCheck = name.Length > 2;
            bool ageCheck = age > 0;
            bool idCheck = (id.Length == 10) && id.All( letter => char.IsUpper(letter) );

            if (nameCheck && ageCheck && idCheck)
            {
                Person result = new Person();
                result.Name = name;
                result.Age = age;
                result.ID = id;

                DataSource.WriteData(result);

                return "Operation OK!";
            }
            else
            {
                return "VALIDATION ERROR!";
            }
        }

        public static string[] FindPerson(string id)
        {
            string[] result;
            try
            {
                Person person = DataSource.ReadData(id);

                result = new string[3];
                result[0] = person.Name;
                result[1] = person.Age.ToString();
                result[2] = person.ID;
            }
            catch (Exception)
            {
                result = new string[1];
                result[0] = "Person not Found.";
            }

            return result;
        }
    }
}
